from backbone.ramachandran import RamachandranSampler
from rotamers.dunbrack import DunbrackRotamerLibrary

rs = RamachandranSampler()
rl = DunbrackRotamerLibrary()

res_name = "PHE"

print(f"Backbone torsion angles for {res_name}:")
phi, psi = rs.sample(res_name)
print(f"phi: {phi}, psi: {psi}")
print(" ")

print(f"Sidechain rotamers for {res_name} (top 5):")
for rotamer in rl.rotamer_params(res_name, 100, 100)[:5]:
    print(rotamer.p, rotamer.chis)
print(" ")
